db:seed after renaming default Organization fails (and probably location too)

07/09/2014 01:10 PM - Justin Sherrill
Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  
Pull request: https://github.com/Katello/katello/pull/452
Description

1) install katello

2) rename the default org

3) run foreman-rake db:seed

you'll get an error:

Unable to create first org: Label already exists (including organizations being deleted);Organization Names and labels must be

unique across all organizations

Associated revisions

Revision 402fad5f - 08/05/2014 04:00 PM - Brad Buckingham

fixes #6550 / BZ 1117952 - fix issues with changing org name which affected running db:seed

Without these changes, the user cannot change the default organization

name and re-run 'rake db:seed'.  The reason being, it would attempt

to create an organization with a label that was already in use and

the seed would fail.

In order to address this, this commit does a couple of things:

1. when creating an org, if a label is automatically generated

and it is already in use, re-generate the label using a uuid.

2. fix an existing validation which was incorrectly comparing

name=label, label=name, etc. during org create and update.

Revision 9fab4dee - 08/06/2014 09:00 AM - Brad Buckingham

Merge pull request #4521 from bbuckingham/issue-6550

fixes #6550 / BZ 1117952 - fix issues with changing org name which affected running db:seed

History

#1 - 07/09/2014 01:10 PM - Justin Sherrill

- Bugzilla link set to 1117952

#2 - 07/28/2014 08:45 AM - Eric Helms

- Target version changed from 49 to 54

#3 - 08/02/2014 11:59 AM - Brad Buckingham

- Assignee set to Brad Buckingham

#4 - 08/02/2014 12:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4521 added
- Pull request deleted ()

#5 - 08/06/2014 09:01 AM - Brad Buckingham

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|402fad5f14379762d2352992a39184eb6f94cfe3.

#6 - 08/22/2014 09:01 AM - Eric Helms

- translation missing: en.field_release set to 13
